{% extends 'ej_profiles/base.jinja2' %}

{% block page_content %}
    <div class="margin-xauto width-full">
        {{ tabs({_('Info'): '#profile-info', _('Contributions'): '#profile-contributions'}, class_='width-full profile-tabs') }}
        <div id="profile-info" class="pad-x3p pad-y4 width-full">
            <dl class="description text-4">
                {% for title, info in profile.profile_fields(true) %}
                    <dt>{{ title }}</dt>
                    <dd>{{ (info or '-') }}</dd>
                {% endfor %}
            </dl>
        </div>
        <div id="profile-contributions" class="pad-4 center text-4 uppercase">
            {% set base_url = url('profile:contributions') %}
            {% if request.user.has_perm('ej.can_promote_conversations') %}
                <p><a href="{{ base_url }}#contribution-conversations" class="text-brand semi-bold"><i
                    class="fa fa-comments"></i> {{ n_conversations }} {{ _('Conversations') }}</a>
            {% endif %}
            {% if request.user.has_perm('ej_boards.view_board') %}
                <p><a href="{{ url('boards:board-list') }}" class="text-brand semi-bold"><i
                    class="fa fa-clipboard-list"></i> {{ n_boards }} {{ _('Boards') }}</a>
            {% endif %}
            <p><a href="{{ base_url }}#contribution-comments" class="text-brand semi-bold"><i
                class="fa fa-comment"></i> {{ n_comments }} {{ _('Comments') }}</a>
            <p><a href="{{ base_url }}#contribution-votes" class="text-brand semi-bold"><i
                class="fa fa-vote-yea"></i> {{ n_votes }} {{ _('Votes') }}</a>
            <p><a href="{{ base_url }}#contribution-favorites" class="text-brand semi-bold"><i
                class="fa fa-star"></i> {{ n_favorites }} {{ _('Favorites') }}</a>
                {% if achievements_href %}
                    <p><a href="{{ achievements_href }}" class="text-brand semi-bold"><i
                    class="fa fa-trophy"></i> {{ _('Achievements') }}</a>
                {% endif %}
        </div>
    </div>
    <div class="center">
        {{ link(_("Edit profile"), href="profile:edit", button=True, class="block margin-y3") }}
        {{ link(_("Manage accounts"), href="account:index", class="block margin-y2") }}
        {{ link(_("Logout"), href="account:logout", class="block margin-y2") }}
    </div>
{% endblock %}

